alter table DT976 rename column UUID to AAE_UUID;
alter table DT976 modify ("AAE_UUID" default NULL);
alter table DT976 add UUID raw(16);
alter table DT976 MODIFY ("UUID" DEFAULT SYS_GUID());
update DT976 set UUID = DEFAULT;
alter table DT976 add constraint DT976UUID_NOT_NULL check("UUID" is not null);
alter table DT976 add constraint UUID_UNIQUE_976 unique (UUID);

alter table DT976 add constraint DT976AAE_UUID_NOT_NULL check("AAE_UUID" is not null);
alter table DT976 add constraint PID976DT976 primary key ("AAE_UUID", "AAE", "SAP_PSP_REP_UUID", "PR_ID", "REPORT_ID");


alter table DT974 rename column UUID to PSP_UUID;
alter table DT974 modify ("PSP_UUID" default NULL);
alter table DT974 add UUID raw(16);
alter table DT974 MODIFY ("UUID" DEFAULT SYS_GUID());
update DT974 set UUID = DEFAULT;
alter table DT974 add constraint DT974UUID_NOT_NULL check("UUID" is not null);
alter table DT974 add constraint UUID_UNIQUE_974 unique (UUID);

alter table DT974 add constraint DT974PSP_UUID_NOT_NULL check("PSP_UUID" is not null);
alter table DT974 add constraint PID974DT974 primary key ("PSP_UUID", "PR_ID", "REPORT_ID");

